<div *ngIf="(product$ | async) as product">
  <div>
    <img [src]="product.image" alt="">
  </div>
  <div>
    <ul>
      <li>Nombre: {{ product.title }}</li>
      <li>Precio: {{ product.price | currency }}</li>
    </ul>
    <p>{{ product.description }}</p>
  </div>
  <button (click)="createProduct()">crear</button>
  <button (click)="updateProduct()">update</button>
  <button (click)="deleteProduct()">delete</button>
  <button (click)="getRandomUsers()">get random</button>
  <button (click)="getFile()">get file</button>

</div>